Foreman - Refactor #28872

Raise minimum secure_headers version
01/28/2020 01:48 PM - Anonymous

Status: Closed

Priority: Normal

Assignee:

Category: Packaging

Target version: 1.23.2

Difficulty:

Triaged: No

Bugzilla link:

Pull request: https://github.com/theforeman/foreman/p
ull/7395,

https://github.com/theforeman/foreman-p

ackaging/pull/4659,

https://github.com/theforeman/foreman-p

ackaging/pull/4664,

https://github.com/theforeman/foreman-p

ackaging/pull/4665,

https://github.com/theforeman/foreman/p

ull/7397,

https://github.com/theforeman/foreman/p

ull/7398

Fixed in Releases:
Found in Releases:
Red Hat JIRA:

1.23.2,1.24.3,2.0.0

Description

https://nvd.nist.gov/vuln/detail/CVE-2020-5216
https://nvd.nist.gov/vuln/detail/CVE-2020-5217

To fix both of these, an update to 6.3.x is needed.

Associated revisions

Revision 6eb130ef - 01/29/2020 08:44 AM - Michael Moll

Fixes #28872 - Raise minium secure_headers version

Revision fe3e41da - 01/29/2020 08:44 AM - Michael Moll
Fixes #28872 - Update secure_headers to 6.3.0

History

#1 - 01/28/2020 01:49 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7395 added

#2 - 01/28/2020 01:52 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/4659 added

#3 - 01/29/2020 08:44 AM - The Foreman Bot
- Fixed in Releases 2.0.0 added

#4 - 01/29/2020 09:01 AM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset roms:foreman-packaging|fe3e41daa971eda375987a8b00b5{6268acbf61d.

#5 - 01/29/2020 10:01 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/4664 added
https://nvd.nist.gov/vuln/detail/CVE-2020-5216
https://nvd.nist.gov/vuln/detail/CVE-2020-5217
https://projects.theforeman.org/projects/rpms/repository/foreman-packaging/revisions/fe3e41daa971eda375987a8b00b5f6268acbf61d

#6 - 01/29/2020 10:03 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/4665 added

#7 - 01/29/2020 10:05 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7397 added

#8 - 01/29/2020 10:06 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7398 added

#9 - 02/10/2020 02:38 PM - Tomer Brisker
- Fixed in Releases 1.23.2, 1.24.3 added

#10 - 02/17/2020 12:51 PM - Tomer Brisker

- Subject changed from Raise minium secure_headers version to Raise minimum secure_headers version
